import PropTypes from 'prop-types';

export const CustomTagsPropType = PropTypes.arrayOf(
  PropTypes.shape({
    labelId: PropTypes.string,
    value: PropTypes.string,
    name: PropTypes.string,
    color: PropTypes.string,
  }),
);

export const SystemTagsPropType = PropTypes.arrayOf(
  PropTypes.shape({
    id: PropTypes.string,
    type: PropTypes.string,
    text: PropTypes.string,
  }),
);

export default CustomTagsPropType;
